PDA

View Full Version : FC4 on Wallstreet PB-OldWorld help!!!



srirampc
15th September 2005, 06:56 PM
I am trying to install FC4 on Wallstreet Power Book G3. This is the first time i am trying to install linux!!!

Since this is a powerbook with the oldworld-ROM, I can not use yaboot(as i read in linuxppc.org). So, I booted into Mac OS 9, and installed BooX loader.

With the kernel arguments for BootX (video=atyfb:vmode:14,cmode:32,mclk:71 single) , I am finally able to get into the FC4 anaconda installer. (I have the CDs)

Every step after that went through fine. And when i finally rebooted, I don't get no where!!!

To find what the problem is, I booted onto Mac OS 9 CD. I see only one partition on my hard drive named "bootstrap", which contains yaboot.

I guess, for some reason FC4 installer is installing yaboot bootloader. But yaboot doesnt work with Oldworld Powerbooks.

Then I went through the installation guide at http://fedora.redhat.com/docs/fedor...l-guide-en/fc4/

I discoverd that I never really got this screen

http://fedora.redhat.com/docs/fedor...bootloader.html

during my installation. I never was able to switch off the install of bootloader.

What should i do to get this screen ?
Is there any kernel argument i can pass, to stop the installer from installing the bootloader ?

Thanks,
-sriram.

srirampc
16th September 2005, 08:16 PM
Just found from a mailing list that Fedora Core 4 is not supported in Old World Macs... :eek: .

I am trying Gentoo Linux next!!!

Tashiro
16th September 2005, 09:56 PM
Duplicate of: http://www.fedoraforum.org/forum/showthread.php?t=77693

Thread closed.

Tashiro